Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.core.framework.osgi
Class OSGILauncher.ChildFirstURLClassLoader

    java.lang.Object
      java.lang.ClassLoader
          java.security.SecureClassLoader
              java.net.URLClassLoader
                  org.eclipse.birt.core.framework.URLClassLoader
                      org.eclipse.birt.core.framework.osgi.OSGILauncher.ChildFirstURLClassLoader

Enclosing class:
  OSGILauncher

    protected static class OSGILauncher.ChildFirstURLClassLoader

extends URLClassLoader

The ChildFirstURLClassLoader alters regular ClassLoader delegation and will check the URLs used in its initialization for matching classes before delegating to it's parent. Sometimes also referred to as a ParentLastClassLoader

Constructor Summary
`OSGILauncher.ChildFirstURLClassLoader(java.net.URL[] urls)`
`OSGILauncher.ChildFirstURLClassLoader(java.net.URL[] urls, java.lang.ClassLoader parent)`

Method Summary
`java.net.URL` | `getResource(java.lang.String name)`
`protected java.lang.Class` | `loadClass(java.lang.String name, boolean resolve)`

Methods inherited from class org.eclipse.birt.core.framework.URLClassLoader
`addURL, close, findClass, findClass1, findResource, findResource1, findResources, findResources1, getURLs`

Methods inherited from class java.net.URLClassLoader
`definePackage, getPermissions, newInstance, newInstance`

Methods inherited from class java.security.SecureClassLoader
`defineClass, defineClass`

Methods inherited from class java.lang.ClassLoader
`clearAssertionStatus, defineClass, defineClass, defineClass, defineClass, definePackage, findLibrary, findLoadedClass, findSystemClass, getPackage, getPackages, getParent, getResourceAsStream, getResources, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, loadClass, resolveClass, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus, setSigners`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OSGILauncher.ChildFirstURLClassLoader

    public OSGILauncher.ChildFirstURLClassLoader(java.net.URL[] urls)

### OSGILauncher.ChildFirstURLClassLoader

    public OSGILauncher.ChildFirstURLClassLoader(java.net.URL[] urls,
                                                 java.lang.ClassLoader parent)

Method Detail

### getResource

    public java.net.URL getResource(java.lang.String name)

  Overrides:
    `getResource` in class `java.lang.ClassLoader`

### loadClass

    protected java.lang.Class loadClass(java.lang.String name,
                                        boolean resolve)
                                 throws java.lang.ClassNotFoundException

  Overrides:
    `loadClass` in class `java.lang.ClassLoader`
  Throws:
    `java.lang.ClassNotFoundException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.